Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
task = client.evaluations.claim_task(
evaluation_id="evaluation_id",
)
print(task.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
task, err := client.Evaluations.ClaimTask(
context.TODO(),
"evaluation_id",
sgp.EvaluationClaimTaskParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", task.ID)
}curl --request POST \
--url https://api.egp.scale.com/v4/evaluations/{evaluation_id}/claim-task \
--header 'Content-Type: application/json' \
--data '
{
"skip_current": false
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({skip_current: false})
};
fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}/claim-task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"task_entity_parent_id": "<string>",
"task_entity_id": "<string>",
"account_id": "<string>",
"priority": 123,
"assigned_to": "<string>",
"assignment_expires_at": "2023-11-07T05:31:56Z",
"task_entity": {
"application_spec_id": "<string>",
"evaluation_id": "<string>",
"evaluation_dataset_id": "<string>",
"evaluation_dataset_version_num": "<string>",
"test_case_id": "<string>",
"test_case_evaluation_data": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"audit_required": true,
"audit_comment": "<string>",
"test_case_evaluation_data_schema": "GENERATION",
"result": {},
"completed_at": "2023-11-07T05:31:56Z",
"time_spent_labeling_s": 123,
"application_test_case_output_id": "<string>",
"invalidated_at": "2023-11-07T05:31:56Z",
"annotated_by_user_id": "<string>",
"edited_by_user_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"edited_by": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
Claim Evaluation Task
POST
/
v4
/
evaluations
/
{evaluation_id}
/
claim-task
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
task = client.evaluations.claim_task(
evaluation_id="evaluation_id",
)
print(task.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
task, err := client.Evaluations.ClaimTask(
context.TODO(),
"evaluation_id",
sgp.EvaluationClaimTaskParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", task.ID)
}Path Parameters
Query Parameters
Available options:
EVALUATION_ANNOTATION, EVALUATION_AUDIT, CONTRIBUTOR_ANNOTATION, CONTRIBUTOR_AUDIT Body
application/json
Response
TaskResponse · object | null
Successful Response
Available options:
EVALUATION_ANNOTATION, EVALUATION_AUDIT, CONTRIBUTOR_ANNOTATION, CONTRIBUTOR_AUDIT The ID of the account that owns the given entity.
Available options:
NOT_READY, PENDING, PENDING_REDO, COMPLETED, FIXED The ID of the user that the task is assigned to.
The date and time when the task assignment expires in ISO format.
The entity that the task is associated with.
- GenerationTestCaseResultResponse
- FlexibleTestCaseResultResponse
Show child attributes
Show child attributes
⌘I

